Distribution:   CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		redland
Version:	1.0.8
Release:	1
License:	GNU/GPL 
URL:		http://librdf.org/
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	%{name} RDF Application Framework
Requires: 	raptor 
Requires:	rasqal
BuildRequires:  glibc-devel
BuildRequires:	curl-devel 
BuildRequires:  db-devel
BuildRequires:  libxml2-devel
BuildRequires:  openssl-devel
BuildRequires:  zlib-devel
BuildRequires:  libidn-devel
BuildRequires:  libxslt-devel
BuildRequires:  raptor-devel
BuildRequires:  rasqal-devel
BuildRequires:  sqlite-devel
# Require for rpm lzma compression
Requires:       rpm >= 4.4.2.3-1

%description
Redland is a set of free software libraries that provide support for the Resource Description Framework (RDF). Features:
Modular, object based libraries written in C.
APIs for manipulating the RDF graph, triples, URIs and Literals.
Triple sequences for efficient streaming and lazy evaluation.
Parsers and Serializers for reading and writing RDF as RDF/XML, N-Triples and Turtle Terse RDF Triple Language, RSS and Atom syntaxes via the Raptor RDF Parser Toolkit.
Storage for graphs in memory, with Sleepycat/Berkeley DB, MySQL 3/4, AKT Triplestore, SQLite, files or URIs.
Querying with SPARQL and RDQL using the Rasqal RDF Query Library.
Redland contexts for managing data aggregation and recording provenance.
Language Bindings in C#, Java, Obj-C, Perl, PHP, Python, Ruby and Tcl via the Redland Bindings package.
Command line utility programs rdfproc (RDF), rapper (parsing) and roqet (query).
Portable, fast and with no known memory leaks.
For more details see: %{url}

%package devel
Summary: 	%{name} development headers.
Group: 		%{group}            
Requires: 	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure --prefix=%_prefix --enable-release --disable-dependency-tracking --mandir=%_mandir
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_bindir/rdfproc
%_bindir/redland-db-upgrade
%_libdir/*.so.*
%_mandir/*
%_datadir/gtk-doc
%_datadir/redland/*


%files devel
%defattr(-,root,root)
%_bindir/redland-config
%_libdir/pkgconfig/
%_libdir/*.so
%_libdir/*.a
%_libdir/*.la
%_includedir/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Jul 31 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.0.8-1
- version update
* Mon May 26 2008 Christian Metzen <metzench@ccux-linux.de> 1.0.7-1
- Version update
* Tue May 15 2007 Simon Schmeisser <wrt@ccux-linux.de> 1.0.6-1
- Version update
* Tue May 02 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.0.3-1
- Initial Release
